Create notification
Creates a notification and sends it.
Request
URI
POST
https://{api_host}/notification-service/api/notifications/tenants/{tenantName}/notifications
COPY
Path Parameters
string
tenantName
Required
The tenant id
Request Body
Notification
of type(s)
application/json
Required
{
"attachment": [
{
"fileName": "string",
"contentId": "string",
"mimeType": "string",
"value": [
"string"
]
}
],
"recipients": [
{
"id": "string",
"type": "string"
}
],
"entityId": "string",
"id": "string",
"serviceId": "string",
"priority": "string",
"notificationScenarioId": "string"
}
string
entityId
Optional
entityId
string As uuid
As uuid
id
Optional
id
string
serviceId
Optional
serviceId
string
priority
Optional
priority
Possible values are :
HIGHEST,
HIGH,
NORMAL,
LOW,
LOWEST,
string
notificationScenarioId
Optional
notificationScenarioId
Responses
200
successful operation
Returns
Notification
of type(s)
*/*
{
"attachment": [
{
"fileName": "string",
"contentId": "string",
"mimeType": "string",
"value": [
"string"
]
}
],
"recipients": [
{
"id": "string",
"type": "string"
}
],
"entityId": "string",
"id": "string",
"serviceId": "string",
"priority": "string",
"notificationScenarioId": "string"
}
string
entityId
Optional
entityId
string As uuid
As uuid
id
Optional
id
string
serviceId
Optional
serviceId
string
priority
Optional
priority
Possible values are :
HIGHEST,
HIGH,
NORMAL,
LOW,
LOWEST,
string
notificationScenarioId
Optional
notificationScenarioId
201
Operation doesn't return any data structure